/***************************************************************************/
/* NOTE:                                                                   */
/* This document is copyright (c) by Oz Solomonovich.  All non-commercial  */
/* use is allowed, as long as this document is not altered in any way, and */
/* due credit is given.                                                    */
/***************************************************************************/

// Config.h : header file
//

#ifndef __CONFIG_H__
#define __CONFIG_H__

#ifndef CFG_VAR
#define CFG_VAR(name, type, var, defval) extern type var;
#define CFG_STR(name, var, defval)       extern CString var;
#endif

void CfgSetRegSection(LPCTSTR pszSection);
void CfgGetRegSection(LPCTSTR *ppszSection);

void GetConfiguration();
void WriteConfiguration();

#endif // __CONFIG_H__

#include "CfgVars.h"
